from setuptools import setup, find_packages
import os

# Read README.md as long description
with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="document_LayoutBased_clustering_tool",
    version="0.1.3",
    packages=find_packages(),
    install_requires=[
        "pypdfium2",
        "pillow",
        "numpy",
        "opencv-python",
        "tqdm",
        "pandas",
        "scikit-learn",
        "tensorflow",
        "matplotlib",
        "openpyxl"
    ],
    entry_points={
        "console_scripts": [
            "textshade=document_clustering.textshade:main",
            "extractfeatures=document_clustering.feature_extraction_and_clustering:main"
        ]
    },
    author="Harish Kumar S",
    author_email="harishkumar56278@gmail.com",
    description="A package for document layout-based clustering using text shading and feature extraction.",
    long_description=long_description,  # Include README content
    long_description_content_type="text/markdown",  # Tell PyPI it's Markdown
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.7",
)
